# Yahoo! UI Library

### dom 2.8.2r1

Yahoo! UI Library > dom > YAHOO.util.Dom.IEStyle
Search:
Filters Show Private Show Protected Show Deprecated

## Class YAHOO.util.Dom.IEStyle

Internal methods used to add style management functionality to DOM.

### Methods

#### get

`void get ( el , property )`
Method used by DOM to get style information for IE

Parameters:
  `el <HTMLElement>` The element to check
  `property <String>` The property to check

#### getBorderColor

`String getBorderColor ( node , att )`
Get the bordercolor of an element

Parameters:
  `node <HTMLElement>` The element to check
  `att <String>` The attribute to check

Returns: `String`
  The value

#### getBorderWidth

`String getBorderWidth ( el , property )`
Try to determine the width of an elements border

Parameters:
  `el <HTMLElement>` The element to check
  `property <String>` The property to check

Returns: `String`
  The elements border width

#### getColor

`String getColor ( node , att )`
Get the color of an element

Parameters:
  `node <HTMLElement>` The element to check
  `att <String>` The attribute to check

Returns: `String`
  The value

#### getMargin

`String getMargin ( node , att )`
Get the margin value from a style property

Parameters:
  `node <HTMLElement>` The element to check
  `att <String>` The attribute to check

Returns: `String`
  The margin value

#### getOffset

`String getOffset ( el , prop )`
Determine the offset of an element

Parameters:
  `el <HTMLElement>` The element to check
  `prop <String>` The property to check.

Returns: `String`
  The offset

#### getPixel

`String getPixel ( node , att )`
Get the pixel value from a style property

Parameters:
  `node <HTMLElement>` The element to check
  `att <String>` The attribute to check

Returns: `String`
  The pixel value

#### getVisibility

`String getVisibility ( node , att )`
Get the visibility of an element

Parameters:
  `node <HTMLElement>` The element to check
  `att <String>` The attribute to check

Returns: `String`
  The value

Copyright © 2010 Yahoo! Inc. All rights reserved.